> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Brand Research Status

> Return the six brand-level background research indicators.



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/research-status
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/research-status:
    get:
      tags:
        - Brands
        - Brands
      summary: Get Brand Research Status
      description: Return the six brand-level background research indicators.
      operationId: get_brand_research_status_api_v1_brands__brand_id__research_status_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandResearchStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandResearchStatusResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/BrandResearchStatusItem'
          type: array
          title: Items
      type: object
      required:
        - items
      title: BrandResearchStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BrandResearchStatusItem:
      properties:
        module:
          type: string
          enum:
            - competitors
            - paid_media
            - paid_search
            - social_media
            - content
            - seo
          title: Module
        status:
          type: string
          enum:
            - not_started
            - queued
            - researching
            - analyzing
            - done
            - error
          title: Status
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
      type: object
      required:
        - module
        - status
      title: BrandResearchStatusItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````